## kadu 1.3

=== translations/CMakeLists.txt ===
option (INSTALL_UNOFFICIAL_TRANSLATIONS "Install translations generated from all *.ts files, not only the ones enabled by *.language files. In kadu-core this also means generating additional *.language files so that the unofficial translations can be used." OFF)
set (KADU_INSTALL_UNOFFICIAL_TRANSLATIONS ${INSTALL_UNOFFICIAL_TRANSLATIONS} PARENT_SCOPE) # Do not use it here, it's in parent scope

if (INSTALL_UNOFFICIAL_TRANSLATIONS)
	file (GLOB LANGUAGE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.language")
	file (GLOB TRANSLATION_SOURCES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "kadu_*.ts")

	foreach (TRANSLATION_SOURCE ${TRANSLATION_SOURCES})
		get_filename_component (LANGUAGE "${TRANSLATION_SOURCE}" NAME_WE)
		string (REGEX REPLACE "^kadu_" "" LANGUAGE ${LANGUAGE})
		list (FIND LANGUAGE_FILES "${LANGUAGE}.language" LANGUAGE_FOUND)
		if (LANGUAGE_FOUND EQUAL -1)
			set (file_ "${CMAKE_CURRENT_BINARY_DIR}/${LANGUAGE}.language")
			file (WRITE "${file_}" "${LANGUAGE}\n")
			list (APPEND LANGUAGE_FILES "${file_}")
		endif ()
	endforeach ()
else ()
	file (GLOB LANGUAGE_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.language")

	set (LANGUAGES)
	set (TRANSLATION_SOURCES)
	foreach (LANGUAGE_FILE ${LANGUAGE_FILES})
		get_filename_component (LANGUAGE "${LANGUAGE_FILE}" NAME_WE)
		list (APPEND LANGUAGES ${LANGUAGE})
		set (file_ "${CMAKE_CURRENT_SOURCE_DIR}/kadu_${LANGUAGE}.ts")
		if (EXISTS "${file_}")
			list (APPEND TRANSLATION_SOURCES "${file_}")
		endif ()
	endforeach ()

	list (SORT LANGUAGES)
	set (KADU_ENABLED_LANGUAGES ${LANGUAGES} PARENT_SCOPE) # Do not use it here, it's in parent scope
endif ()

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

add_custom_target (translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (kadu translations)

install (FILES ${TRANSLATION_FILES} ${LANGUAGE_FILES}
	DESTINATION "${KADU_INSTALL_DATA_DIR}/translations"
)

if (KADU_INSTALL_SDK)
	install (PROGRAMS plugintsupdate.sh DESTINATION "${KADU_INSTALL_SDK_DIR}/translations")
	install (FILES configuration-ui.xsl DESTINATION "${KADU_INSTALL_SDK_DIR}/translations")
endif ()

=== plugins/encryption_otr/CMakeLists.txt ===
project (encryption_otr)

cmake_minimum_required (VERSION 2.8)

find_package (Kadu REQUIRED CONFIG)

include (FindPkgConfig)

set (SOURCES
	gui/widgets/otr-account-configuration-widget-factory.cpp
	gui/widgets/otr-account-configuration-widget.cpp
	gui/widgets/otr-buddy-configuration-widget-factory.cpp
	gui/widgets/otr-buddy-configuration-widget.cpp
	gui/widgets/otr-chat-top-bar-widget-factory.cpp
	gui/widgets/otr-chat-top-bar-widget.cpp
	gui/widgets/otr-peer-identity-verification-fingerprint-exchange-page.cpp
	gui/widgets/otr-peer-identity-verification-progress-page.cpp
	gui/widgets/otr-peer-identity-verification-question-and-answer-page.cpp
	gui/widgets/otr-peer-identity-verification-respond-question-and-answer-page.cpp
	gui/widgets/otr-peer-identity-verification-respond-shared-secret-page.cpp
	gui/widgets/otr-peer-identity-verification-result-page.cpp
	gui/widgets/otr-peer-identity-verification-select-method-page.cpp
	gui/widgets/otr-peer-identity-verification-shared-secret-page.cpp

	gui/windows/otr-peer-identity-verification-window-factory.cpp
	gui/windows/otr-peer-identity-verification-window-repository.cpp
	gui/windows/otr-peer-identity-verification-window.cpp

	otr-app-ops-service.cpp
	otr-context-converter.cpp
	otr-create-private-key-job.cpp
	otr-create-private-key-worker.cpp
	otr-error-message-service.cpp
	otr-fingerprint-service.cpp
	otr-instance-tag-service.cpp
	otr-is-logged-in-service.cpp
	otr-message-event-service.cpp
	otr-message-service.cpp
	otr-notifier.cpp
	otr-op-data.cpp
	otr-op-data-factory.cpp
	otr-peer-identity-verification-service.cpp
	otr-peer-identity-verification-state.cpp
	otr-plugin.cpp
	otr-policy.cpp
	otr-policy-service.cpp
	otr-private-key-service.cpp
	otr-path-service.cpp
	otr-raw-message-transformer.cpp
	otr-session-service.cpp
	otr-timer-service.cpp
	otr-trust-level-service.cpp
	otr-user-state-service.cpp
)

set (MOC_SOURCES
	gui/widgets/otr-account-configuration-widget.h
	gui/widgets/otr-buddy-configuration-widget.h
	gui/widgets/otr-chat-top-bar-widget-factory.h
	gui/widgets/otr-chat-top-bar-widget.h
	gui/widgets/otr-peer-identity-verification-fingerprint-exchange-page.h
	gui/widgets/otr-peer-identity-verification-progress-page.h
	gui/widgets/otr-peer-identity-verification-question-and-answer-page.h
	gui/widgets/otr-peer-identity-verification-respond-question-and-answer-page.h
	gui/widgets/otr-peer-identity-verification-select-method-page.h
	gui/widgets/otr-peer-identity-verification-result-page.h
	gui/widgets/otr-peer-identity-verification-respond-shared-secret-page.h
	gui/widgets/otr-peer-identity-verification-shared-secret-page.h

	gui/windows/otr-peer-identity-verification-window-factory.h
	gui/windows/otr-peer-identity-verification-window-repository.h
	gui/windows/otr-peer-identity-verification-window.h

	otr-app-ops-service.h
	otr-context-converter.h
	otr-create-private-key-job.h
	otr-create-private-key-worker.h
	otr-error-message-service.h
	otr-fingerprint-service.h
	otr-instance-tag-service.h
	otr-is-logged-in-service.h
	otr-message-event-service.h
	otr-message-service.h
	otr-notifier.h
	otr-op-data-factory.h
	otr-path-service.h
	otr-peer-identity-verification-service.h
	otr-plugin.h
	otr-policy-service.h
	otr-private-key-service.h
	otr-raw-message-transformer.h
	otr-session-service.h
	otr-timer-service.h
	otr-trust-level-service.h
	otr-user-state-service.h
)

set (CONFIGURATION_FILES
)

pkg_check_modules (LIBOTR REQUIRED libotr>=4.0 REQUIRED)

set (LIBRARIES ${QCA2_LIBRARIES} ${LIBOTR_LDFLAGS} gcrypt)

if (CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
	include_directories (${LIBOTR_INCLUDE_DIRS})
endif ()

kadu_plugin (encryption_otr
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	PLUGIN_LIBRARIES ${LIBRARIES}
)

=== plugins/freedesktop_notify/CMakeLists.txt ===
project (freedesktop_notify)

cmake_minimum_required (VERSION 2.8)

set (QT_USE_QTDBUS 1)
find_package (Kadu REQUIRED CONFIG)

set (SOURCES
	configuration/gui/freedesktop-notify-configuration-ui-handler.cpp
	freedesktop-notify.cpp
	freedesktop-notify-plugin.cpp
)

set (MOC_SOURCES
	configuration/gui/freedesktop-notify-configuration-ui-handler.h
	freedesktop-notify.h
	freedesktop-notify-plugin.h
)

set (CONFIGURATION_FILES
	configuration/freedesktop_notify.ui
)

kadu_plugin (freedesktop_notify
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	PLUGIN_LIBRARIES ${QT_QTDBUS_LIBRARY}
)

=== plugins/gadu_protocol/CMakeLists.txt ===
project (gadu_protocol)

cmake_minimum_required (VERSION 2.8)

# Needed for FindQCA2.cmake when building externally
list (INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/Modules")

set (QT_USE_QTXML 1)
set (QT_USE_QTXMLPATTERNS 1)
set (QT_USE_QTNETWORK 1)
set (QT_USE_QTWEBKIT 1)

find_package (Kadu REQUIRED CONFIG)

set (LIBGADU_MIN_VERSION "1.12.0")

kadu_api_directories (plugins/gadu_protocol
	dcc
	file-transfers
	gui/widgets
	gui/windows
	gui
	helpers
	oauth
	open-chat-with
	server
	services/multilogon
	services
	socket-notifiers
	.
)

set (SOURCES
	dcc/dcc-socket-notifiers.cpp

	file-transfer/gadu-file-transfer-handler.cpp

	gui/widgets/gadu-add-account-widget.cpp
	gui/widgets/gadu-contact-personal-info-widget.cpp
	gui/widgets/gadu-edit-account-widget.cpp
	gui/widgets/gadu-personal-info-widget.cpp

	helpers/formatted-string-gadu-html-visitor.cpp
	helpers/formatted-string-image-key-received-visitor.cpp
	helpers/gadu-imported-contact-xml-receiver.cpp
	helpers/gadu-importer.cpp
	helpers/gadu-list-helper.cpp
	helpers/gadu-protocol-helper.cpp
	helpers/gadu-proxy-helper.cpp

	oauth/oauth-authorization.cpp
	oauth/oauth-authorization-chain.cpp
	oauth/oauth-consumer.cpp
	oauth/oauth-manager.cpp
	oauth/oauth-parameters.cpp
	oauth/oauth-token.cpp
	oauth/oauth-token-fetcher.cpp

	open-chat-with/gadu-open-chat-with-runner.cpp

	server/gadu-avatar-downloader.cpp
	server/gadu-avatar-uploader.cpp
	server/gadu-servers-manager.cpp
	server/gadu-writable-session-token.cpp
	server/protocol-gadu-connection.cpp

	services/gadu-avatar-service.cpp
	services/gadu-chat-image-service.cpp
	services/gadu-chat-service.cpp
	services/gadu-chat-state-service.cpp
	services/gadu-contact-list-service.cpp
	services/gadu-contact-list-state-machine.cpp
	services/gadu-contact-personal-info-service.cpp
	services/gadu-file-transfer-service.cpp
	services/gadu-multilogon-service.cpp
	services/gadu-personal-info-service.cpp
	services/gadu-roster-service.cpp
	services/gadu-search-service.cpp

	services/multilogon/gadu-multilogon-session.cpp

	socket-notifiers/gadu-protocol-socket-notifiers.cpp
	socket-notifiers/gadu-pubdir-socket-notifiers.cpp
	socket-notifiers/gadu-socket-notifiers.cpp

	gadu-account-details.cpp
	gadu-contact-details.cpp
	gadu-id-validator.cpp
	gadu-protocol.cpp
	gadu-protocol-factory.cpp
	gadu-protocol-plugin.cpp
	gadu-status-adapter.cpp
	gadu-url-dom-visitor-provider.cpp
	gadu-url-handler.cpp
)

set (MOC_SOURCES
	dcc/dcc-socket-notifiers.h

	file-transfer/gadu-file-transfer-handler.h

	gui/widgets/gadu-add-account-widget.h
	gui/widgets/gadu-contact-personal-info-widget.h
	gui/widgets/gadu-edit-account-widget.h
	gui/widgets/gadu-personal-info-widget.h

	helpers/formatted-string-image-key-received-visitor.h
	helpers/gadu-importer.h

	oauth/oauth-authorization.h
	oauth/oauth-authorization-chain.h
	oauth/oauth-manager.h
	oauth/oauth-token-fetcher.h

	server/gadu-avatar-downloader.h
	server/gadu-avatar-uploader.h
	server/gadu-connection.h
	server/protocol-gadu-connection.h

	services/gadu-avatar-service.h
	services/gadu-chat-image-service.h
	services/gadu-chat-service.h
	services/gadu-chat-state-service.h
	services/gadu-contact-list-service.h
	services/gadu-contact-list-state-machine.h
	services/gadu-contact-personal-info-service.h
	services/gadu-file-transfer-service.h
	services/gadu-multilogon-service.h
	services/gadu-personal-info-service.h
	services/gadu-roster-service.h
	services/gadu-search-service.h

	services/multilogon/gadu-multilogon-session.h

	socket-notifiers/gadu-protocol-socket-notifiers.h
	socket-notifiers/gadu-pubdir-socket-notifiers.h
	socket-notifiers/gadu-socket-notifiers.h

	gadu-id-validator.h
	gadu-protocol-factory.h
	gadu-protocol-plugin.h
	gadu-url-handler.h
)

set (CONFIGURATION_FILES
)

set (SERVERS_FILE
	data/servers.txt
)

find_package (PkgConfig)
pkg_search_module (LIBGADU REQUIRED libgadu>=${LIBGADU_MIN_VERSION})

find_package (QCA2 REQUIRED)

if (APPLE)
	if (QCA_FRAMEWORK_DIR)
		set (QCA2_INCLUDE_DIR ${QCA_FRAMEWORK_DIR}/qca.framework/Headers/)
		set (QCA2_LIBRARIES "-framework qca")
		link_directories (${QCA_FRAMEWORK_DIR}/qca.framework/)
	endif ()
endif ()

add_definitions (${QCA2_DEFINITIONS})
include_directories (${LIBGADU_INCLUDE_DIRS} ${QCA2_INCLUDE_DIR})
link_directories (${LIBGADU_LIBRARY_DIRS})

if (LIBGADU_FOUND)
	message (STATUS " * libgadu (version ${LIBGADU_VERSION}) was found in ${LIBGADU_LIBDIR}")
else ()
	message (FATAL_ERROR " * libgadu (version ${LIBGADU_MIN_VERSION}) was NOT FOUND")
endif ()

set (LIBRARIES ${LIBGADU_LIBRARIES} ${QCA2_LIBRARIES} ${QT_LIBRARIES} ${QT_QTXMLPATTERNS_LIBRARY})
if (WIN32)
	list (APPEND LIBRARIES ws2_32)
endif ()

kadu_plugin (gadu_protocol
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	PLUGIN_LIBRARIES ${LIBRARIES}
	PLUGIN_DATA_FILES ${SERVERS_FILE}
)

=== plugins/indicator_docking/CMakeLists.txt ===
project (indicator_docking)

cmake_minimum_required (VERSION 2.8)

find_package (Kadu REQUIRED CONFIG)

set (SOURCES
	indicator_docking.cpp
	indicator_docking-plugin.cpp
)

set (MOC_SOURCES
	indicator_docking.h
	indicator_docking-plugin.h
)

if (NOT KADU_WITH_LIBINDICATE_QT)
	message (FATAL_ERROR "You need to compile core with libindicate support (-DWITH_LIBINDICATE_QT=ON)")
endif ()

find_package (PkgConfig)
pkg_search_module (LIBINDICATE_QT REQUIRED indicate-qt)

link_directories (${LIBINDICATE_QT_LIBRARY_DIRS})
add_definitions (${LIBINDICATE_QT_CFLAGS_OTHER})
include_directories (${LIBINDICATE_QT_INCLUDE_DIRS})

kadu_plugin (indicator_docking
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_LIBRARIES ${LIBINDICATE_QT_LIBRARIES}
	PLUGIN_DEPENDENCIES docking
)

if (NOT INDICATORS_DIR)
	set (INDICATORS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/indicators/messages/applications")
	message (STATUS "INDICATORS_DIR not specified. Using default: ${INDICATORS_DIR}")
endif ()

# Pin Kadu to Messaging Menu
get_filename_component (desktop_file_path_absolute "${KADU_DESKTOP_FILE_DIR}/${KADU_DESKTOP_FILE_NAME}" ABSOLUTE)
file (WRITE ${CMAKE_CURRENT_BINARY_DIR}/kadu "${desktop_file_path_absolute}\n")
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/kadu DESTINATION "${INDICATORS_DIR}")

=== plugins/profiles_import/CMakeLists.txt ===
project (profiles_import)

cmake_minimum_required (VERSION 2.8)

find_package (Kadu REQUIRED CONFIG)

set (SOURCES
	gui/windows/import-profile-window.cpp
	gui/windows/import-profiles-window.cpp

	profile-data-manager.cpp
	profile-importer.cpp
	profiles-import-actions.cpp
	profiles-import-plugin.cpp
)

set(MOC_SOURCES
	gui/windows/import-profile-window.h
	gui/windows/import-profiles-window.h

	profile-importer.h
	profiles-import-actions.h
	profiles-import-plugin.h
)

set (CONFIGURATION_FILES
)

kadu_plugin (profiles_import
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	PLUGIN_DEPENDENCIES gadu_protocol history_migration
	PLUGIN_LIBRARIES ${QT_QTXMLPATTERNS_LIBRARY}
)

=== plugins/screenshot/CMakeLists.txt ===
project (screenshot)

cmake_minimum_required (VERSION 2.8)

find_package (Kadu REQUIRED CONFIG)

set (SOURCES
	configuration/gui/screenshot-configuration-ui-handler.cpp
	configuration/screen-shot-configuration.cpp
	gui/actions/screenshot-action.cpp
	gui/actions/screenshot-actions.cpp
	gui/graphics-items/handler-rect-item.cpp
	gui/graphics-items/selection-frame-item.cpp
	gui/widgets/crop-image-widget.cpp
	gui/widgets/screenshot-tool-box.cpp
	gui/widgets/screenshot-widget.cpp
	notify/screenshot-notification.cpp
	pixmap-grabber.cpp
	screenshot.cpp
	screenshot-plugin.cpp
	screen-shot-saver.cpp
	screenshot-taker.cpp
)

set (MOC_SOURCES
	configuration/gui/screenshot-configuration-ui-handler.h
	gui/actions/screenshot-action.h
	gui/actions/screenshot-actions.h
	gui/graphics-items/handler-rect-item.h
	gui/widgets/crop-image-widget.h
	gui/widgets/screenshot-tool-box.h
	gui/widgets/screenshot-widget.h
	notify/screenshot-notification.h
	screenshot.h
	screenshot-plugin.h
	screen-shot-saver.h
	screenshot-taker.h
)

set (CONFIGURATION_FILES
	data/configuration/screenshot.ui
)

if (UNIX AND NOT APPLE)
	find_package (X11 REQUIRED COMPONENTS X11 Xext Xshape)
	if (X11_Xshape_FOUND)
		message (STATUS "Found required X11 libraries: ${X11_X11_LIB};${X11_Xext_LIB}")
	else ()
		message (SEND_ERROR "Could NOT find X11 Xshape")
	endif ()

	include_directories (${X11_INCLUDE_DIR})
	list (APPEND LIBRARIES ${X11_X11_LIB} ${X11_Xext_LIB})
endif ()

kadu_plugin (screenshot
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	PLUGIN_LIBRARIES ${LIBRARIES}
)

=== plugins/sound/CMakeLists.txt ===
project (sound)

cmake_minimum_required (VERSION 2.8)

find_package (Kadu REQUIRED CONFIG)

kadu_api_directories (plugins/sound
	configuration/gui
	configuration
	gui/widgets
	gui
	.
)

set (SOURCES
	configuration/gui/sound-configuration-ui-handler.cpp
	gui/widgets/configuration/sound-configuration-widget.cpp
	notify/sound-notifier.cpp
	sound-actions.cpp
	sound-manager.cpp
	sound-play-thread.cpp
	sound-plugin.cpp
	sound-theme-manager.cpp
)

set (MOC_SOURCES
	configuration/gui/sound-configuration-ui-handler.h
	gui/widgets/configuration/sound-configuration-widget.h
	notify/sound-notifier.h
	sound-actions.h
	sound-manager.h
	sound-play-thread.h
	sound-player.h
	sound-plugin.h
)

set (CONFIGURATION_FILES
	configuration/sound.ui
)

kadu_plugin (sound
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

=== debian/changelog ===
kadu (1.3-2ubuntu1) wily; urgency=medium

  * debian/patches/gcc5.patch:
    - Fix FTBFS with gcc5 by changing char to signed char.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 14 Aug 2015 10:59:52 -0400

kadu (1.3-2build1) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 21:11:43 +0000

kadu (1.3-2) unstable; urgency=medium

  * Fixed build error with new CMake (Closes: #789840)

 -- Patryk Cisek <patryk@debian.org>  Wed, 08 Jul 2015 20:31:58 +0200

kadu (1.3-1) unstable; urgency=medium

  * New upstream release
  * Removed hardcoded upstream version (1.0) from debian/build_kadu.sh
    helper script

 -- Patryk Cisek <patryk@debian.org>  Sun, 28 Dec 2014 16:00:22 +0100

=== debian/control ===
Source: kadu
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patryk Cisek <patryk@debian.org>
Vcs-Git: git://git.debian.org/users/patryk/kadu.git
Vcs-Browser: http://git.debian.org/?p=users/patryk/kadu.git
Build-Depends: bzip2,
               chrpath,
               cmake (>=2.6),
               debhelper (>= 9),
               enchant,
               libarchive-dev,
               libasound2-dev,
               libaudio-dev,
               libdbus-1-dev,
               libenchant-dev,
               libgadu-dev,
               libidn11-dev,
               libindicate-qt-dev,
               libmpdclient-dev,
               libotr5-dev,
               libphonon-dev,
               libqca2-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libsndfile1-dev (>= 1.0),
               libsqlite3-dev,
               libxfixes-dev,
               libxss-dev,
               libxtst-dev,
               patchutils (>= 0.2.25),
               pkgconf,
               sharutils,
               x11proto-scrnsaver-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://kadu.net

Package: kadu
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kadu-common (= ${source:Version}),
         libkadu (= ${binary:Version}),
         libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         libqt4-svg,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kadu-external-modules (<< 1.0)
Replaces: kadu-external-modules (<< 1.0)
Suggests: kadu-themes
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides Kadu along with plugins developed by Kadu developers.

Package: libkadu
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package contains libkadu, which is used by Kadu.

Package: kadu-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kadu-external-modules (<< 0.10.0-2)
Suggests: kadu-themes
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides data common for all architectures.

Package: kadu-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Development files needed to compile plugins for kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides development files needed to compile plugins for Kadu.

Package: kadu-themes
Architecture: all
Depends: ${misc:Depends}
Recommends: kadu
Description: Additional icons and emoticons for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides additional icons, sounds and emoticons themes for
 Kadu.
